// Project Lab - NHTV Igad

#pragma once

#if PLATFORM_SPECIFIC_WIN == 0

#include <string.h>
#include <time.h>
/**
 * 
 */

class UNREALPROJECT_API HeatMapMetrics
{
public:
	static void AddTime(struct FVector2D position, float time, size_t team);
	static void ExportToFile();
	static void ResetMap();
protected:
	static void m_RetrieveCurrentTM(std::tm& a_TM);
	static std::string m_GetCurrentTime();
	static std::string m_GetCurrentDateTime();
private:
	static float s_timeMap[3][512][512];
};

#endif